<ion-header translucent>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="home"></ion-back-button>
    </ion-buttons>
    <ion-title style="text-align: center;">Creation Objet</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen>
  <form [formGroup]="onForm">
    <ion-list lines="full" class="ion-no-margin ion-no-padding">
      <ion-item>
        <ion-label class="label" position="floating">Titre</ion-label>
        <ion-input color="#154360" type="text" formControlName="titre"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label class="label" position="floating">Auteur</ion-label>
        <ion-input color="#154360" style="font-style:italic;" type="text" formControlName="auteur"></ion-input>
      </ion-item>
      
      <ion-item>
        <ion-label class="label" position="floating">Type</ion-label>
        <ion-select value="notifications" interface="action-sheet" formControlName="type">
          <ion-select-option  value="Livre">Livre</ion-select-option>
          <ion-select-option  value="Dvd">DVD</ion-select-option>
          <ion-select-option  value="Cd">CD</ion-select-option>
          <ion-select-option  value="Jeux">Jeux vidéos</ion-select-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label class="label" position="floating" >Image</ion-label>
        <ion-select value="notifications" interface="action-sheet" formControlName="image2">
          <ion-select-option  value="livre" >Livre</ion-select-option>
          <ion-select-option  value="dvd">DVD</ion-select-option>
          <ion-select-option  value="cd">CD</ion-select-option>
          <ion-select-option  value="jeux">Jeux vidéos</ion-select-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label class="label" position="floating">Edition</ion-label>
        <ion-input  color="#154360" type="text" formControlName="edition"></ion-input>
      </ion-item> 

      <ion-item>
        <ion-label class="label" position="floating">EAN ou ISBN</ion-label>
        <ion-input placeholder="ex : 9782021304510" color="#154360" type="number" formControlName="ean"></ion-input>
      </ion-item>


      <ion-item>
        <ion-label class="label" position="floating">Description</ion-label>
        <ion-textarea color="#154360" formControlName="description" rows="5" cols="20" placeholder="Quelques mots sur l'objet..."></ion-textarea>
      </ion-item>

      <ion-item>
        <ion-label class="label" position="floating">Date d'edition</ion-label>
        <ion-datetime color="secondary" displayFormat="DD.MM.YYYY" placeholder="Selection date" formControlName="date"></ion-datetime>
      </ion-item>

    </ion-list>

    <div class="ion-padding">
      <ion-button expand="block" type="submit" (click)="creationProduit()" ><ion-ripple-effect></ion-ripple-effect><ion-icon name="checkmark-outline"></ion-icon>&nbsp;Validation</ion-button>
    </div>
  </form>
</ion-content>
